# circuitikz
- https://github.com/circuitikz/circuitikz
- License: GPL
- circuitikz's macros are used in some of the LaTeX source generated by _pyimpspec_.

# cvxopt
- https://github.com/cvxopt/cvxopt
- License: GPLv3 or later
- Dependency.

# DRT-python-code
- https://github.com/akulikovsky/DRT-python-code
- License: GPLv3 or later
- Copied/ported code to implement calculation of the distribution of relaxation times (DRT) using Tikhonov regularization and non-negative least squares fitting.

# Elchemea Analytical
- https://www.elchemea.com/
- License: GPLv3 or later
- Copied/ported code to implement some circuit elements.

# impedance.py
- https://github.com/ECSHackWeek/impedance.py
- License: MIT
- Copied code to implement linear Kramers-Kronig tests for impedance representations of immittance data using matrix inversion.

# Jinja
- https://github.com/pallets/jinja/
- License: BSD 3-clause
- Optional dependency of _pandas_ for generating formatted strings (e.g., LaTeX).

# kvxopt
- https://github.com/sanurielf/kvxopt
- License: GPLv3 or later
- Optional dependency. Fork of cvxopt that may provide wheels for additional platforms.

# lmfit
- https://github.com/lmfit/lmfit-py
- License: BSD 3-clause
- Dependency.

# matplotlib
- https://github.com/matplotlib/matplotlib
- License: custom license
- Dependency.

# nearestSPD
- https://www.mathworks.com/matlabcentral/fileexchange/42885-nearestspd
- License: BSD 2-clause
- Ported to Python by the developers of pyDRTtools for use in the TR-RBF DRT method.

# numdifftools
- https://github.com/pbrod/numdifftools 
- License: BSD 3-clause
- Optional dependency of _lmfit_ for estimating uncertainties.

# numpy
- https://github.com/numpy/numpy
- License: BSD 3-clause
- Dependency.

# odfpy
- https://github.com/eea/odfpy
- License: GPLv2 or later
- Dependency via _pandas_.

# openpyxl
- https://foss.heptapod.net/openpyxl/openpyxl
- License: MIT
- Dependency via _pandas_.

# pandas
- https://github.com/pandas-dev/pandas
- License: BSD 3-clause
- Dependency.

# pyDRTtools
- https://github.com/ciuccislab/pyDRTtools
- License: MIT
- Copied/ported code to implement calculation of the distribution of relaxation times (DRT) using Tikhonov regularization combined with either piecewise linear discretization or radial basis function (RBF) discretization, and scoring of EIS data using the Bayesian Hilbert transform (BHT) method.

# SchemDraw
- https://bitbucket.org/cdelker/schemdraw/
- License: MIT
- Dependency.

# SciPy
- https://github.com/scipy/scipy
- License: BSD 3-clause
- Dependency.

# statsmodels
- https://github.com/statsmodels/statsmodels
- License: BSD 3-clause
- Dependency.

# SymPy
- https://github.com/sympy/sympy
- License: BSD 3-clause
- Dependency.

# tabulate
- https://github.com/astanin/python-tabulate
- License: MIT
- Dependency via _pandas_.

# tol_colors
- https://personal.sron.nl/~pault/data/tol_colors.py
- License: BSD 3-clause
- Copied values for some colors.

# xdg
- https://github.com/srstevenson/xdg
- License: ISC
- Dependency.

# Smoothing algorithms: Whittaker-Henderson and modified sinc kernel
- https://doi.org/10.1021/acsmeasuresciau.3c00017
- License: GPLv3
- Ported from Java to Python.
